//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-558 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.21 at 11:49:29 AM CST 
//


package com.bsb.fop.wsdl.product;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="GetAddOnsByOfferResult" type="{http://Fingerhut.Services}AddOnByOfferID" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "getAddOnsByOfferResult"
})
@XmlRootElement(name = "GetAddOnsByOfferResponse")
public class GetAddOnsByOfferResponse {

    @XmlElementRef(name = "GetAddOnsByOfferResult", namespace = "http://Fingerhut.Services", type = JAXBElement.class)
    protected JAXBElement<AddOnByOfferID> getAddOnsByOfferResult;

    /**
     * Gets the value of the getAddOnsByOfferResult property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link AddOnByOfferID }{@code >}
     *     
     */
    public JAXBElement<AddOnByOfferID> getGetAddOnsByOfferResult() {
        return getAddOnsByOfferResult;
    }

    /**
     * Sets the value of the getAddOnsByOfferResult property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link AddOnByOfferID }{@code >}
     *     
     */
    public void setGetAddOnsByOfferResult(JAXBElement<AddOnByOfferID> value) {
        this.getAddOnsByOfferResult = ((JAXBElement<AddOnByOfferID> ) value);
    }

}
